REM 
REM 'This BAT file will install the DocConverter COM into your
REM 'system automatically
REM 'The first, we will uninstall the previous version of DocConverter COM
REM 'from your system

call uninstall.bat

REM 
REM 'OK, we will install the new version of DocConverter COM into
REM 'your system
REM 

REM 
REM 'Copy relative files into your system first
REM 
copy /y pdfout.dll %WINDIR%\system32\
copy /y html2pdf.exe %WINDIR%\system32\
copy /y doc2pdf_service.exe %WINDIR%\system32\
copy /y doc2pdf_config.ini %WINDIR%\system32\

REM 
REM 'Copy necessary files into your system
REM 
copy apphelp.dll %WINDIR%\system32\
copy mpr.dll %WINDIR%\system32\
copy msvcp60.dll %WINDIR%\system32\

REM 
REM 'Register the pdfout.dll file into your system
REM 
regsvr32 /s %WINDIR%\system32\pdfout.dll

REM 
REM 'Copy the ASP example file to a temporary folder
REM 
md C:\wwwroot
copy doc2pdf_asp\doc2pdf_via_socket.asp C:\wwwroot\


REM 
REM Run doc2pdf_service.exe as a normal Windows application
REM 
REM call %WINDIR%\system32\doc2pdf_service.exe -exe

REM 
REM Run doc2pdf_service.exe as system service
REM 
call %WINDIR%\system32\doc2pdf_service.exe -i
net start "VeryPDF DocConverter COM Service"